#ifndef COMMAND_H
#define COMMAND_H

#include "../Camera.h"

class Command {
	public:
	virtual ~Command() {}
	virtual void execute(OrtographicCamera& camera) = 0;
};

class QuitCommand : public Command {
	public:
	virtual void execute(OrtographicCamera& camera) override;
};

class WCommand : public Command {
	public:
	virtual void execute(OrtographicCamera& camera) override;
};
class ACommand : public Command {
	public:
	virtual void execute(OrtographicCamera& camera) override;
};
class SCommand : public Command {
	public:
	virtual void execute(OrtographicCamera& camera) override;
};
class DCommand : public Command {
	public:
	virtual void execute(OrtographicCamera& camera) override;
};


#endif
